diff --git a/config.ru b/config.ru
index 9d07fec..f33de34 100644
--- a/config.ru
+++ b/config.ru
@@ -2,4 +2,12 @@ require File.expand_path("../config/environment", __FILE__)
 
 use Rails::Rack::LogTailer
 use Rails::Rack::Static
-run ActionController::Dispatcher.new
+
+class ChiliProject::Dispatcher < ActionController::Dispatcher
+  def call(env)
+    ActionController::Base.relative_url_root = env['SCRIPT_NAME']
+    super
+  end
+end
+
+run ChiliProject::Dispatcher.new
